Trillet AI logo

Get Call Recording

Retrieve audio recording for a completed call session.

GEThttps://api.trillet.ai/v1/api/calls/recordings/{callSid}

Headers

x-api-keystringrequired

API key used for authenticating requests to the API.

Path Parameters

callSidstringrequired

The Twilio Call SID of the call whose recording you want.

Response Fields

Content-Typestring

Indicates the MIME type of the streamed content, which is 'audio/mpeg' for MP3 audio files.

Content-Dispositionstring

Describes how the content should be handled by the browser; set to 'inline' with a filename indicating the name of the downloaded or played file.

Response

An audio/mpeg file (MP3) is streamed back. You can download or play it in the browser.

HTTP/1.1 200 OK 
Content-Type: audio/mpeg 
Content-Disposition: inline;
filename="exampleRecordingSid.mp3" 
Get Call Recording — Trillet AI